<template>
      <div class="nav-bar"></div>
      <div class="cart">Cart({{ cart }})</div>
      <div class="product-display">
        <div class="product-container">
          <div class="product-image">
            <img :class="{ 'out-of-stock-img': !inStock }" v-bind:src="image" width="250" height="250">
          </div>
          <div class="product-info">
            <h1>{{ product }}</h1>
            <p v-if="inStock">In Stock</p>
            <p v-else>Out of Stock</p>
            <ul>
              <li v-for="detail in details" :key="detail">{{ detail }}</li>
            </ul>
            <div v-for="variant in variants" :key="variant.id" @mouseover="updateImage(variant.image)">{{ variant.color }}</div>
            <button class="button" v-on:click="addToCart">Add to Cart</button>
            <button class="button" @click="removeFromCart">Remove Item</button>
          </div>
        </div>
      </div>
    
</template>

<script>
export default {
    data() {
        return {
            cart: 0,
            product: 'Socks',
            image: require('@/assets/logo.png'),
            inStock: true,
            details: ['50% cotton', '30% wool', '20% polyester'],
            variants: [
              { id: 2234, color: 'green', image: require('@/assets/images/socks_green.jpg') },
              { id: 2235, color: 'blue', image: require('@/assets/images/socks_blue.jpg') },
            ]
        }
    },
    methods: {
        addToCart() {
            this.cart += 1
        },
        // solution
        removeFromCart() {
            if (this.cart >= 1) {
                this.cart -= 1
            }
        },
        // solution
        updateImage(variantImage) {
            this.image = variantImage
        }
    }
    
}
</script>